Subject: Re: bug#45849: Autoconf options and dependencies

From: Jim Meyering <[email-masked]>
Date: Thu, 14 Jan 2021 08:36:51 -0800

On Thu, Jan 14, 2021 at 6:29 AM Jeffrey Walton <[email-masked]> wrote:
> I noticed Grep offers these two autoconf options (and friends):
>
>     --with-libiconv-prefix
>     --with-libintl-prefix
>
> Configure does not complain when they are used.
>
> However, when I check link dependencies with ldd:
>
>     $ ldd /usr/local/bin/grep
>         linux-vdso.so.1
>         libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3
>         libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0
>         libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6
>         /lib64/ld-linux-x86-64.so.2
>
> There seems to be no iConv dependencies, but there does seem to be
> PCRE dependencies. (It may be time to bump to PCRE2 since PCRE is
> end-of-life and the sources have some undefined behavior present).
>
> If I use --with-libpcre-prefix, then I get an autoconf warning:
>
>     WARNING: unrecognized options: --with-libpcre-prefix
>
> It looks like something is a bit sideways.

Hi Jeffrey,

Thanks for investigating. I haven't looked at the
--with-libiconv-prefix or --with-libintl-prefix issues, but PCRE2
(overdue, indeed) is on our radar. I expect that the switch to it will
happen soon. That may serve as impetus for the next release.